org.eclnt.workplace

## Interface IWorkpageStartInfo

- All Superinterfaces:
    java.io.Serializable
  All Known Implementing Classes:
    WorkpageStartInfo, WorkplaceFunctionTree.FunctionNode

      public interface IWorkpageStartInfo
      extends java.io.Serializable

  Basic Information that is required to start a certain workpage within the workplace management. Objects implementing this interface are typically attached to other objects e.g. workplace function tree nodes, favorite icons, etc.
  The default implementation is `WorkpageStartInfo`. In case of defining own implementations: please sub-class from `WorkpageStartInfo`.
  The "most important definition" is the page that you want to open within the workplace. There are two possibilities to define the page: either by defining the page name (`setJspPage(String)`) or by defining the name of the page bean (`setPageBeanName(String)`).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppReference1()` Application reference - this field is not used by CaptainCasa processing.
    `java.lang.String` | `getAppReference2()` Application reference - this field is not used by CaptainCasa processing.
    `java.lang.String` | `getAppReference3()` Application reference - this field is not used by CaptainCasa processing.
    `boolean` | `getCloseSupported()`
    `java.lang.String` | `getCode()` A short code for this item.
    `java.lang.String` | `getComment()` Comment that is associated with this instance.
    `java.lang.String` | `getCommentImage()` Image that serves as additional comment to the image.
    `boolean` | `getExcludeFromSavePerspective()`
    `java.lang.String` | `getFunctionClassName()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getImage()`
    `java.lang.String` | `getJspPage()`
    `boolean` | `getOpenAsPopupByDefault()`
    `boolean` | `getOpenMultipleInstances()`
    `java.lang.String` | `getPageBeanName()`
    `java.lang.String` | `getParam(java.lang.String paramName)`
    `boolean` | `getPopupSuppoted()`
    `java.lang.String` | `getSelectorTitle()`
    `java.lang.String` | `getStartSubWorkpageContainerId()`
    `java.lang.String` | `getText()`
    `java.lang.String` | `getWindowTitle()`
    `boolean` | `isDecorated()`
    `void` | `removeParam(java.lang.String paramName)`
    `void` | `setAppReference1(java.lang.String appReference1)`
    `void` | `setAppReference2(java.lang.String appReference2)`
    `void` | `setAppReference3(java.lang.String appReference3)`
    `void` | `setCloseSupported(boolean value)`
    `void` | `setCode(java.lang.String code)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setCommentImage(java.lang.String commentImage)`
    `void` | `setDecorated(boolean decorated)`
    `void` | `setExcludeFromSavePerspective(boolean excludeFromSavePerspective)`
    `void` | `setFunctionClassName(java.lang.String functionClassName)`
    `void` | `setId(java.lang.String value)`
    `void` | `setImage(java.lang.String value)`
    `void` | `setJspPage(java.lang.String value)`
    `void` | `setOpenAsPopupByDefault(boolean value)`
    `void` | `setOpenMultipleInstances(boolean openMultipleInstances)`
    `void` | `setPageBeanName(java.lang.String pageBeanName)`
    `void` | `setParam(java.lang.String paramName, java.lang.String paramValue)`
    `void` | `setPopupSupported(boolean value)`
    `void` | `setSelectorTitle(java.lang.String value)` Explicit different text that is passed into the selector, when the workpage is started. - If null then the title passed via setText(..) is taken.
    `void` | `setStartSubWorkpageContainerId(java.lang.String value)`
    `void` | `setText(java.lang.String value)`
    `void` | `setWindowTitle(java.lang.String value)` Explicit different text that is passed into the workpage's title, when the workpage is started. - if null then the title passed via setText(..) is taken.

- - ### Method Detail

    - #### setJspPage

          void setJspPage(java.lang.String value)

    - #### getJspPage

          java.lang.String getJspPage()

    - #### setPageBeanName

          void setPageBeanName(java.lang.String pageBeanName)

    - #### getPageBeanName

          java.lang.String getPageBeanName()

    - #### setFunctionClassName

          void setFunctionClassName(java.lang.String functionClassName)

    - #### getFunctionClassName

          java.lang.String getFunctionClassName()

    - #### setImage

          void setImage(java.lang.String value)

    - #### getImage

          java.lang.String getImage()

    - #### setText

          void setText(java.lang.String value)

    - #### getText

          java.lang.String getText()

    - #### setSelectorTitle

          void setSelectorTitle(java.lang.String value)

      Explicit different text that is passed into the selector, when the workpage is started. - If null then the title passed via setText(..) is taken.

    - #### getSelectorTitle

          java.lang.String getSelectorTitle()

    - #### setWindowTitle

          void setWindowTitle(java.lang.String value)

      Explicit different text that is passed into the workpage's title, when the workpage is started. - if null then the title passed via setText(..) is taken.

    - #### getWindowTitle

          java.lang.String getWindowTitle()

    - #### setDecorated

          void setDecorated(boolean decorated)

    - #### isDecorated

          boolean isDecorated()

    - #### setOpenMultipleInstances

          void setOpenMultipleInstances(boolean openMultipleInstances)

    - #### getOpenMultipleInstances

          boolean getOpenMultipleInstances()

    - #### setId

          void setId(java.lang.String value)

    - #### getId

          java.lang.String getId()

    - #### setParam

          void setParam(java.lang.String paramName,
                        java.lang.String paramValue)

    - #### getParam

          java.lang.String getParam(java.lang.String paramName)

    - #### removeParam

          void removeParam(java.lang.String paramName)

    - #### setPopupSupported

          void setPopupSupported(boolean value)

    - #### getPopupSuppoted

          boolean getPopupSuppoted()

    - #### setCloseSupported

          void setCloseSupported(boolean value)

    - #### getCloseSupported

          boolean getCloseSupported()

    - #### setOpenAsPopupByDefault

          void setOpenAsPopupByDefault(boolean value)

    - #### getOpenAsPopupByDefault

          boolean getOpenAsPopupByDefault()

    - #### setStartSubWorkpageContainerId

          void setStartSubWorkpageContainerId(java.lang.String value)

    - #### getStartSubWorkpageContainerId

          java.lang.String getStartSubWorkpageContainerId()

    - #### getExcludeFromSavePerspective

          boolean getExcludeFromSavePerspective()

    - #### setExcludeFromSavePerspective

          void setExcludeFromSavePerspective(boolean excludeFromSavePerspective)

    - #### getComment

          java.lang.String getComment()

      Comment that is associated with this instance. The comment e.g. is shown as tooltip.

    - #### setComment

          void setComment(java.lang.String comment)

    - #### getCommentImage

          java.lang.String getCommentImage()

      Image that serves as additional comment to the image. The comment is currently not directly used in the workplace but may be used in subsequent component like the launchpad (CCLaunchPad).

    - #### setCommentImage

          void setCommentImage(java.lang.String commentImage)

    - #### getCode

          java.lang.String getCode()

      A short code for this item. The user can call the function from the search screen by just using this code.

    - #### setCode

          void setCode(java.lang.String code)

    - #### getAppReference1

          java.lang.String getAppReference1()

      Application reference - this field is not used by CaptainCasa processing. It is up to your application to use it.

    - #### setAppReference1

          void setAppReference1(java.lang.String appReference1)

    - #### getAppReference2

          java.lang.String getAppReference2()

      Application reference - this field is not used by CaptainCasa processing. It is up to your application to use it.

    - #### setAppReference2

          void setAppReference2(java.lang.String appReference2)

    - #### getAppReference3

          java.lang.String getAppReference3()

      Application reference - this field is not used by CaptainCasa processing. It is up to your application to use it.

    - #### setAppReference3

          void setAppReference3(java.lang.String appReference3)

Copyright © CaptainCasa Gmbh. All Rights Reserved.